<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.crawl (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.crawl (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/collection/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/exchange/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.nutch.crawl</h1>
<div class="docSummary">
<div class="block">Crawl control code and tools to run the crawler.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/FetchSchedule.html" title="interface in org.apache.nutch.crawl">FetchSchedule</a></td>
<td class="colLast">
<div class="block">This interface defines the contract for implementations that manipulate fetch
 times and re-fetch intervals.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/AbstractFetchSchedule.html" title="class in org.apache.nutch.crawl">AbstractFetchSchedule</a></td>
<td class="colLast">
<div class="block">This class provides common methods for implementations of
 <code>FetchSchedule</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/AdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl">AdaptiveFetchSchedule</a></td>
<td class="colLast">
<div class="block">This class implements an adaptive re-fetch algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDatum.Comparator.html" title="class in org.apache.nutch.crawl">CrawlDatum.Comparator</a></td>
<td class="colLast">
<div class="block">A Comparator optimized for CrawlDatum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDb.html" title="class in org.apache.nutch.crawl">CrawlDb</a></td>
<td class="colLast">
<div class="block">This class takes the output of the fetcher and updates the crawldb
 accordingly.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbFilter.html" title="class in org.apache.nutch.crawl">CrawlDbFilter</a></td>
<td class="colLast">
<div class="block">This class provides a way to separate the URL normalization and filtering
 steps from the rest of CrawlDb manipulation code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbMerger.html" title="class in org.apache.nutch.crawl">CrawlDbMerger</a></td>
<td class="colLast">
<div class="block">This tool merges several CrawlDb-s into one, optionally filtering URLs
 through the current URLFilters, to skip prohibited pages.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbMerger.Merger.html" title="class in org.apache.nutch.crawl">CrawlDbMerger.Merger</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.html" title="class in org.apache.nutch.crawl">CrawlDbReader</a></td>
<td class="colLast">
<div class="block">Read utility for the CrawlDB.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumCsvOutputFormat.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDatumCsvOutputFormat</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumJsonOutputFormat.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDatumJsonOutputFormat</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumJsonOutputFormat.LineRecordWriter.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDatumJsonOutputFormat.LineRecordWriter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbDumpMapper.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDbDumpMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbStatMapper.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDbStatMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbStatReducer.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDbStatReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbTopNMapper.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDbTopNMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.CrawlDbTopNReducer.html" title="class in org.apache.nutch.crawl">CrawlDbReader.CrawlDbTopNReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReader.JsonIndenter.html" title="class in org.apache.nutch.crawl">CrawlDbReader.JsonIndenter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/CrawlDbReducer.html" title="class in org.apache.nutch.crawl">CrawlDbReducer</a></td>
<td class="colLast">
<div class="block">Merge new page entries with existing entries.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/DeduplicationJob.html" title="class in org.apache.nutch.crawl">DeduplicationJob</a></td>
<td class="colLast">
<div class="block">Generic deduplicator which groups fetched URLs with the same digest and marks
 all of them as duplicate except the one with the highest score (based on the
 score in the crawldb, which is not necessarily the same as the score
 indexed).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/DeduplicationJob.DBFilter.html" title="class in org.apache.nutch.crawl">DeduplicationJob.DBFilter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/DeduplicationJob.DedupReducer.html" title="class in org.apache.nutch.crawl">DeduplicationJob.DedupReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/DeduplicationJob.StatusUpdateReducer.html" title="class in org.apache.nutch.crawl">DeduplicationJob.StatusUpdateReducer</a></td>
<td class="colLast">
<div class="block">Combine multiple new entries for a url.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/DefaultFetchSchedule.html" title="class in org.apache.nutch.crawl">DefaultFetchSchedule</a></td>
<td class="colLast">
<div class="block">This class implements the default re-fetch schedule.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/FetchScheduleFactory.html" title="class in org.apache.nutch.crawl">FetchScheduleFactory</a></td>
<td class="colLast">
<div class="block">Creates and caches a <a href="../../../../org/apache/nutch/crawl/FetchSchedule.html" title="interface in org.apache.nutch.crawl"><code>FetchSchedule</code></a> implementation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.html" title="class in org.apache.nutch.crawl">Generator</a></td>
<td class="colLast">
<div class="block">Generates a subset of a crawl db to fetch.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.CrawlDbUpdater.html" title="class in org.apache.nutch.crawl">Generator.CrawlDbUpdater</a></td>
<td class="colLast">
<div class="block">Update the CrawlDB so that the next generate won't include the same URLs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.CrawlDbUpdater.CrawlDbUpdateMapper.html" title="class in org.apache.nutch.crawl">Generator.CrawlDbUpdater.CrawlDbUpdateMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.CrawlDbUpdater.CrawlDbUpdateReducer.html" title="class in org.apache.nutch.crawl">Generator.CrawlDbUpdater.CrawlDbUpdateReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.DecreasingFloatComparator.html" title="class in org.apache.nutch.crawl">Generator.DecreasingFloatComparator</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.HashComparator.html" title="class in org.apache.nutch.crawl">Generator.HashComparator</a></td>
<td class="colLast">
<div class="block">Sort fetch lists by hash of URL.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.PartitionReducer.html" title="class in org.apache.nutch.crawl">Generator.PartitionReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.Selector.html" title="class in org.apache.nutch.crawl">Generator.Selector</a></td>
<td class="colLast">
<div class="block">Selects entries due for fetch.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.SelectorEntry.html" title="class in org.apache.nutch.crawl">Generator.SelectorEntry</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.SelectorInverseMapper.html" title="class in org.apache.nutch.crawl">Generator.SelectorInverseMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.SelectorMapper.html" title="class in org.apache.nutch.crawl">Generator.SelectorMapper</a></td>
<td class="colLast">
<div class="block">Select and invert subset due for fetch.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Generator.SelectorReducer.html" title="class in org.apache.nutch.crawl">Generator.SelectorReducer</a></td>
<td class="colLast">
<div class="block">Collect until limit is reached.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Injector.html" title="class in org.apache.nutch.crawl">Injector</a></td>
<td class="colLast">
<div class="block">Injector takes a flat text file of URLs (or a folder containing text files)
 and merges ("injects") these URLs into the CrawlDb.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Injector.InjectMapper.html" title="class in org.apache.nutch.crawl">Injector.InjectMapper</a></td>
<td class="colLast">
<div class="block">InjectMapper reads
 
 the CrawlDb seeds are injected into
 the plain-text seed files and parses each line into the URL and
 metadata.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Injector.InjectReducer.html" title="class in org.apache.nutch.crawl">Injector.InjectReducer</a></td>
<td class="colLast">
<div class="block">Combine multiple new entries for a url.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl">Inlink</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a></td>
<td class="colLast">
<div class="block">A list of <a href="../../../../org/apache/nutch/crawl/Inlink.html" title="class in org.apache.nutch.crawl"><code>Inlink</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/LinkDb.html" title="class in org.apache.nutch.crawl">LinkDb</a></td>
<td class="colLast">
<div class="block">Maintains an inverted link map, listing incoming links for each url.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/LinkDb.LinkDbMapper.html" title="class in org.apache.nutch.crawl">LinkDb.LinkDbMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/LinkDbFilter.html" title="class in org.apache.nutch.crawl">LinkDbFilter</a></td>
<td class="colLast">
<div class="block">This class provides a way to separate the URL normalization and filtering
 steps from the rest of LinkDb manipulation code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/LinkDbMerger.html" title="class in org.apache.nutch.crawl">LinkDbMerger</a></td>
<td class="colLast">
<div class="block">This tool merges several LinkDb-s into one, optionally filtering URLs through
 the current URLFilters, to skip prohibited URLs and links.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/LinkDbMerger.LinkDbMergeReducer.html" title="class in org.apache.nutch.crawl">LinkDbMerger.LinkDbMergeReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/LinkDbReader.html" title="class in org.apache.nutch.crawl">LinkDbReader</a></td>
<td class="colLast">
<div class="block">Read utility for the LinkDb.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/LinkDbReader.LinkDBDumpMapper.html" title="class in org.apache.nutch.crawl">LinkDbReader.LinkDBDumpMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/MD5Signature.html" title="class in org.apache.nutch.crawl">MD5Signature</a></td>
<td class="colLast">
<div class="block">Default implementation of a page signature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/MimeAdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl">MimeAdaptiveFetchSchedule</a></td>
<td class="colLast">
<div class="block">Extension of @see AdaptiveFetchSchedule that allows for more flexible
 configuration of DEC and INC factors for various MIME-types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl">NutchWritable</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/Signature.html" title="class in org.apache.nutch.crawl">Signature</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/SignatureComparator.html" title="class in org.apache.nutch.crawl">SignatureComparator</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/SignatureFactory.html" title="class in org.apache.nutch.crawl">SignatureFactory</a></td>
<td class="colLast">
<div class="block">Factory class, which instantiates a Signature implementation according to the
 current Configuration configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/TextMD5Signature.html" title="class in org.apache.nutch.crawl">TextMD5Signature</a></td>
<td class="colLast">
<div class="block">Implementation of a page signature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/TextProfileSignature.html" title="class in org.apache.nutch.crawl">TextProfileSignature</a></td>
<td class="colLast">
<div class="block">
 An implementation of a page signature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/crawl/URLPartitioner.html" title="class in org.apache.nutch.crawl">URLPartitioner</a></td>
<td class="colLast">
<div class="block">Partition urls by host, domain name or IP depending on the value of the
 parameter 'partition.url.mode' which can be 'byHost', 'byDomain' or 'byIP'</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.nutch.crawl Description">Package org.apache.nutch.crawl Description</h2>
<div class="block">Crawl control code and tools to run the crawler.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/collection/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/exchange/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/crawl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
